Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Adding missing require statement which causes a crash in Ruby 2.0.

  • Loading branch information...
commit f3c7dbcef6e8146fb33d3605fabbeb385a63791e 1 parent f5f1bbc
@gimite authored
Showing with 7 additions and 5 deletions.
  1. +2 −2 README.rdoc
  2. +5 −3 test/test_google_drive.rb
View
4 README.rdoc
@@ -1,4 +1,4 @@
-This is a Ruby 1.8/1.9 library to read/write files/spreadsheets in Google Drive/Docs.
+This is a Ruby 1.8/1.9/2.0 library to read/write files/spreadsheets in Google Drive/Docs.
NOTE: This is NOT a library to create Google Drive App.
@@ -83,7 +83,7 @@ The license of this source is "New BSD Licence"
= Supported environments
-Ruby 1.8.x and Ruby 1.9.x. Checked with Ruby 1.8.7 and Ruby 1.9.3.
+Ruby 1.8.x, 1.9.x and 2.0.x. Checked with Ruby 1.8.7, 1.9.3 and 2.0.0.
= Author
View
8 test/test_google_drive.rb
@@ -1,10 +1,12 @@
$LOAD_PATH.unshift(File.dirname(__FILE__) + "/../lib")
+require "yaml"
+require "test/unit"
+
require "rubygems"
require "bundler/setup"
+require "highline"
-require "test/unit"
require "google_drive"
-require "highline"
class TC_GoogleDrive < Test::Unit::TestCase
@@ -282,7 +284,7 @@ def test_acl_online()
def get_session()
if !@@session
- puts("This test will create files/spreadsheets/collections with your account,")
+ puts("\nThis test will create files/spreadsheets/collections with your account,")
puts("read/write them and finally delete them (if everything succeeds).")
account_path = File.join(File.dirname(__FILE__), "account.yaml")
if File.exist?(account_path)
Please sign in to comment.
Something went wrong with that request. Please try again.